import { SchemaDynamicModifierConfig } from "../SchemaDynamicModifier.js";
import { MarkdownParserDynamicModifierConfig } from "../markdown/MarkdownParser.js";
import { MarkdownSerializerDynamicModifierConfig } from "../markdown/MarkdownSerializerDynamicModifier.js";
import { DynamicModifiers } from "../types/dynamicModifiers.js";
export declare function convertDynamicModifiersConfigs(modifiers: DynamicModifiers[]): {
    parser: MarkdownParserDynamicModifierConfig;
    schema: SchemaDynamicModifierConfig;
    serializer: MarkdownSerializerDynamicModifierConfig;
};
