import { Transaction } from 'prosemirror-state';
import { ExtensionDeps } from "../../../../core/index.js";
import { FileUploadHandler } from "../../../../utils/upload.js";
export declare const addWidget: (tr: Transaction, deps: ExtensionDeps, opts: ImageWidgetDescriptorOpts) => Transaction;
export declare const removeWidget: (tr: Transaction, id: string) => Transaction;
export type ImageWidgetDescriptorOpts = {
    needToSetDimensionsForUploadedImages: boolean;
    uploadImages?: FileUploadHandler;
};
