import { type SelectProps } from '@gravity-ui/uikit';
import type { ActionStorage } from "../../core/index.js";
import type { ToolbarBaseProps, WToolbarItemData } from "./types.js";
import "./ToolbarSelect.css";
export type ToolbarSelectProps = ToolbarBaseProps<ActionStorage> & Pick<SelectProps, 'disablePortal'> & {
    items: WToolbarItemData[];
};
export declare const ToolbarSelect: React.FC<ToolbarSelectProps>;
