import type { ExtensionAuto } from "../core/index.js";
import { ColorSpecsOptions, EmojiSpecsOptions } from "../extensions/specs.js";
import { YfmSpecsPresetOptions } from "./yfm-specs.js";
export type FullSpecsPresetOptions = YfmSpecsPresetOptions & {
    emoji?: EmojiSpecsOptions;
    color: ColorSpecsOptions;
};
export declare const FullSpecsPreset: ExtensionAuto<FullSpecsPresetOptions>;
