import type React from 'react';
import { CommonAnswer } from "./ErrorScreen/types.js";
import { GptDialogProps } from "./GptDialog/GptDialog.js";
import { GptWidgetOptions } from "./gptExtension/gptExtension.js";
type CombinedKeyboardEvent = KeyboardEvent | React.KeyboardEvent;
export declare function getAlertGptInfo(gptAlert: GptDialogProps['gptAlertProps']): {
    alertMessage: string;
    alertTheme: import("node_modules/@gravity-ui/uikit/build/cjs/components/Alert/types").AlertTheme;
    alertClassName: string | undefined;
};
export declare function getDisableReplaceButtonText(disablePromptPresets?: boolean): string;
export declare function getInputPlaceHolder(disablePromptPresets?: boolean, disabledPromptPlaceholder?: string, customPromptPlaceholder?: string): string | undefined;
export declare const isEnter: (event: CombinedKeyboardEvent) => boolean;
export declare function focusWithoutScroll(element?: HTMLElement | null): void;
export declare function isEmptyGptPrompts<AnswerData extends CommonAnswer = CommonAnswer, PromptData extends unknown = unknown>(gptWidgetOptions: GptWidgetOptions<AnswerData, PromptData>, disablePromptPresets: boolean): boolean;
export {};
