import { FileFormProps } from "../../../forms/FileForm.js";
import type { ToolbarBaseProps } from "../../../toolbar/index.js";
import { BatchUploadResult, FileUploadHandler } from "../../../utils/upload.js";
export type ToolbarFilePopupProps = Omit<ToolbarBaseProps<never>, 'editor'> & {
    hide: () => void;
    anchorElement: HTMLElement | null;
    uploadHandler?: FileUploadHandler;
    onSuccessUpload?: (result: BatchUploadResult) => void;
} & Pick<FileFormProps, 'onSubmit'>;
export declare const ToolbarFilePopup: React.FC<ToolbarFilePopupProps>;
