import type { Action, ExtensionAuto } from "../../../core/index.js";
import { VideoSpecsOptions } from "./VideoSpecs/index.js";
import { VideoService } from "./VideoSpecs/md-video.js";
import { vAction } from "./const.js";
export { videoNodeName, videoType } from "./VideoSpecs/index.js";
export type VideoActionAttrs = {
    service: VideoService;
    url: string;
};
export type VideoOptions = VideoSpecsOptions & {};
export declare const Video: ExtensionAuto<VideoOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [vAction]: Action<VideoActionAttrs>;
        }
    }
}
